C******************** START FILE IDCOD.FOR ; GROUP URDUTS ******************
C-------------------------------
C&  IDCOD  UREAD INTEGER DECODE AND ERROR CHECK W/MESSAGE
C   FRONT FOR IDCODE -- CALL AFTER UREAD WITHOUT NEEDING TO
C  INCLUDE COMMON VARIABLES
C
      INTEGER FUNCTION IDCOD(IER)
C  IER - RETURN CODE .NE. 0 IF DECODING OF INTEGER FAILED
      USE USERIO
C
      IDCOD=IDCODE(DBUFF,IER)
      RETURN
      END
C******************** END FILE IDCOD.FOR ; GROUP URDUTS ******************
